[sip-comm-dev] Fwd: [SIPCO DMG] DMG generation failed on clarinet


#1

Hello,

It seems there is some java mismatch version in the last version of the trunk for speex.jar. It causes the DMG generation to fail on our DMG building server:

···

Begin forwarded message:

compile:
   [javac] Compiling 1802 source files to /Users/sipcommunicator/Documents/sipco/sip-communicator/classes
   [javac] /Users/sipcommunicator/Documents/sipco/sip-communicator/src/net/java/sip/communicator/impl/media/codec/audio/speex/JavaDecoder.java:24: cannot access org.xiph.speex.SpeexDecoder
   [javac] bad class file: /Users/sipcommunicator/Documents/sipco/sip-communicator/lib/installer-exclude/jspeex.jar(org/xiph/speex/SpeexDecoder.class)
   [javac] class file has wrong version 50.0, should be 49.0
   [javac] Please remove or make sure it appears in the correct subdirectory of the classpath.
   [javac] private SpeexDecoder decoder = null;
   [javac] ^
   [javac] 1 error

BUILD FAILED
/Users/sipcommunicator/Documents/sipco/sip-communicator/build.xml:284: Compile failed; see the compiler error output for details.

Total time: 12 seconds

Cheers,
romain
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net


#2

Hi,

I think Its fixed now.

Thanks for the report
damencho

···

On Mon, May 10, 2010 at 6:48 PM, Romain KUNTZ <kuntz@unistra.fr> wrote:

Hello,

It seems there is some java mismatch version in the last version of the trunk for speex.jar. It causes the DMG generation to fail on our DMG building server:

Begin forwarded message:

compile:
[javac] Compiling 1802 source files to /Users/sipcommunicator/Documents/sipco/sip-communicator/classes
[javac] /Users/sipcommunicator/Documents/sipco/sip-communicator/src/net/java/sip/communicator/impl/media/codec/audio/speex/JavaDecoder.java:24: cannot access org.xiph.speex.SpeexDecoder
[javac] bad class file: /Users/sipcommunicator/Documents/sipco/sip-communicator/lib/installer-exclude/jspeex.jar(org/xiph/speex/SpeexDecoder.class)
[javac] class file has wrong version 50.0, should be 49.0
[javac] Please remove or make sure it appears in the correct subdirectory of the classpath.
[javac] private SpeexDecoder decoder = null;
[javac] ^
[javac] 1 error

BUILD FAILED
/Users/sipcommunicator/Documents/sipco/sip-communicator/build.xml:284: Compile failed; see the compiler error output for details.

Total time: 12 seconds

Cheers,
romain
---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@sip-communicator.dev.java.net
For additional commands, e-mail: dev-help@sip-communicator.dev.java.net